Loading...
Searching...
No Matches
footprint.h File Reference
`#include <starpu.h>`
`#include <common/config.h>`
`#include <core/jobs.h>`

Go to the source code of this file.

## Functions

uint32_t | _starpu_compute_buffers_footprint (struct starpu_perfmodel *model, struct starpu_perfmodel_arch *arch, unsigned nimpl, struct _starpu_job *j)
uint32_t | _starpu_compute_data_footprint (starpu_data_handle_t handle)
uint32_t | _starpu_compute_data_alloc_footprint (starpu_data_handle_t handle)

## Function Documentation

## _starpu_compute_buffers_footprint()

uint32_t _starpu_compute_buffers_footprint | ( | struct starpu_perfmodel * | model,
|  | struct starpu_perfmodel_arch * | arch,
|  | unsigned | nimpl,
|  | struct _starpu_job * | j )

Compute the footprint that characterizes the job and cache it into the job structure.

## _starpu_compute_data_footprint()

uint32_t _starpu_compute_data_footprint | ( | starpu_data_handle_t | handle | ) |

Compute the footprint that characterizes the layout of the data handle.

## _starpu_compute_data_alloc_footprint()

uint32_t _starpu_compute_data_alloc_footprint | ( | starpu_data_handle_t | handle | ) |

Compute the footprint that characterizes the allocation of the data handle.